Bug 482856 - Review Request: perl-MooseX-POE - Moose wrapper around a POE::Session
Review Request: perl-MooseX-POE - Moose wrapper around a POE::Session
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 482863
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-28 10:43 EST by Allisson Azevedo
Modified: 2013-05-15 12:52 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-08 21:42:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Allisson Azevedo 2009-01-28 10:43:07 EST
Spec URL: http://allisson.fedorapeople.org/packages/perl-MooseX-POE/perl-MooseX-POE.spec

SRPM URL: http://allisson.fedorapeople.org/packages/perl-MooseX-POE/perl-MooseX-POE-0.1-1.fc10.src.rpm

Description: MooseX::POE::Object is a Moose wrapper around a POE::Session.
Comment 1 Parag AN(पराग) 2009-01-29 00:02:09 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1090311
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
7878a0155d9f2c582e14696c2115867e  MooseX-POE-0.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave 
All tests successful.
Files=7, Tests=185,  3 wallclock secs ( 0.05 usr  0.01 sys +  3.09 cusr  0.19 csys =  3.34 CPU)
+ Package  perl-MooseX-POE-0.1-1.fc11 =>
Provides: perl(MooseX::POE) = 0.100 perl(MooseX::POE::Aliased) perl(MooseX::POE::Exporter) perl(MooseX::POE::Meta::Class) perl(MooseX::POE::Meta::Class::Trait) perl(MooseX::POE::Meta::Instance) perl(MooseX::POE::Meta::Role) perl(MooseX::POE::Meta::Trait) perl(MooseX::POE::Object) = 0.050 perl(MooseX::POE::Object::Deferred) perl(MooseX::POE::Role) perl(MooseX::POE::SweetArgs) perl(ooseX::POE) = 0.01
Requires: perl(B) perl(Filter::Simple) perl(Moose) perl(Moose::Exporter) perl(Moose::Role) perl(MooseX::POE::Exporter) perl(MooseX::POE::Meta::Class) perl(MooseX::POE::Meta::Role) perl(MooseX::POE::Object) perl(MooseX::POE::Role) perl(POE) perl(Scalar::Util) perl(Sub::Exporter) perl(Sub::Name) perl(metaclass) perl(overload) perl(strict) perl(warnings)

Suggestions:-
1) you can add BR:perl-MooseX-Daemonize to enable one more test.
Comment 2 Parag AN(पराग) 2009-01-29 00:06:36 EST
APPROVED.
Comment 3 Parag AN(पराग) 2009-01-29 00:39:35 EST
Also, make sure to remove OPTIMIZE="$RPM_OPT_FLAGS" from %build as its not needed for this noarch kind of package.
Comment 4 Ralf Corsepius 2009-01-29 00:42:23 EST
Revoking approval - This spec file needs to be brushed up.

Issues:
- Clean up the spec file from remnants of cpanspec's template.

- I consider BR:perl-MooseX-Daemonize to be a must.

- %doc is empty. Add at least "Changes" to it.

- This is a noarch package. Remove OPTIMIZE from %build
Comment 5 Parag AN(पराग) 2009-01-29 01:09:24 EST
If you are not knowing about cpanspec usage then look at https://fedoraproject.org/wiki/Perl/cpanspec
Comment 6 Allisson Azevedo 2009-01-29 06:43:10 EST
Hi,

I'll wait for perl-MooseX-Daemonize inclusion: https://bugzilla.redhat.com/show_bug.cgi?id=482863
Comment 7 Parag AN(पराग) 2009-02-05 08:04:47 EST
is there any updated package now for review?
Comment 8 Allisson Azevedo 2009-02-05 08:23:04 EST
I'll make soon.
Comment 10 Parag AN(पराग) 2009-02-06 00:53:42 EST
APPROVED.
Comment 11 Allisson Azevedo 2009-02-06 11:49:56 EST
New Package CVS Request
=======================
Package Name: perl-MooseX-POE
Short Description: Moose wrapper around a POE::Session
Owners: allisson
Branches: F-9 F-10
Comment 12 Kevin Fenzi 2009-02-08 16:53:48 EST
cvs done.
Comment 13 Iain Arnell 2012-01-15 04:22:33 EST
Package Change Request
======================
Package Name: perl-MooseX-POE
InitialCC: perl-sig

Please add perl-sig to this package with watchbugzilla and watchcommits bits on all fedora branches.
Comment 14 Gwyn Ciesla 2012-01-15 17:09:50 EST
Done.
Comment 15 Andrea Veri 2013-05-15 12:32:52 EDT
Package Change Request
======================
Package Name: perl-MooseX-POE
New Branches: el6
Owners: averi psabata
InitialCC: perl-sig
Comment 16 Gwyn Ciesla 2013-05-15 12:52:26 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.